Skip to main content
GET
Get order by id
OAuth scope: order_readAPI keys have full access to this endpoint.

Authorizations

Authorization
string
header
required

OAuth 2.0 access token, sent as Authorization: Bearer <token>. See https://docs.fourthwall.com/guides/oauth. The scopes an operation requires are listed in its x-fourthwall-scopes.

Path Parameters

orderId
string
required

Response

OK

id
string
required
Example:

"00aa4abd-5778-4199-8161-0b49b2f212e5"

shopId
string
required
Example:

"sh_c689d374-22ca-43d3-8d29-9ef0805cc4cb"

friendlyId
string
required
Example:

"D3XZFWPP"

checkoutId
string
required
Example:

"ch_BV44UYrXQA2T_Xcf1288tw"

status
enum<string>
required
Available options:
CONFIRMED,
PARTIALLY_IN_PRODUCTION,
IN_PRODUCTION,
PARTIALLY_SHIPPED,
SHIPPED,
PARTIALLY_DELIVERED,
DELIVERED,
CANCELLED,
COMPLETED
email
string
required
Example:

"supporter@fourthwall.com"

emailMarketingOptIn
boolean
required
message
string
required
Example:

"Sample message"

amounts
Order Amounts · object
required
offers
Offer Order · object[]
required
source
Giveaway Links · object
required
createdAt
string<date-time>
required
Example:

"2020-08-13T09:05:36.939Z"

updatedAt
string<date-time>
required
Example:

"2020-08-13T09:05:36.939Z"

promotionId
string
Example:

"prm_EdJvIXu3SEiXe_QkPavHSA"

username
string
Example:

"Johnny123"

billing
Billing · object
shipping
Shipping · object
trackingParams
Tracking Params · object
metadata
object

Custom metadata passed during cart creation. Null for orders without metadata.